Package com.documentum.fc.common

# Class DfRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.documentum.fc.common.DfRuntimeException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DfCriticalException`, `DfDocbrokerRuntimeException`, `DfEndOfCollectionException`, `DfReadOnlyException`, `DfServiceCriticalException`, `DfStaleSessionHandleException`

public class DfRuntimeException extends RuntimeException
An unexpected DFC runtime exception. This often indicates a bug in either DFC or the caller of DFC.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfRuntimeException()`
  `DfRuntimeException(String message)`
  `DfRuntimeException(String message, Object[] arguments)`
  `DfRuntimeException(String message, Object[] arguments, Throwable cause)`
  `DfRuntimeException(String message, Throwable cause)`
  `DfRuntimeException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RuntimeException`
  `convertToRuntimeException(Exception e)`
  `Object[]`
  `getArguments()`
  `String`
  `getMessage()`
  `String`
  `getMessageId()`
  `static DfRuntimeException`
  `newDefineClassFailedException(String name, URL url, Exception cause)`
  `static DfRuntimeException`
  `newFailedBofTransformationException(String name, Exception cause)`
  `static DfRuntimeException`
  `newInvalidPrivilegeMetadataException(String moduleName)`
  `static DfRuntimeException`
  `newNotInitializedException()`
  `static DfRuntimeException`
  `newPrivilegeIllegalForSBOException(String sboName)`
  `static DfRuntimeException`
  `newUnexpectedException(Exception cause)`
  `void`
  `printStackTrace(PrintStream s)`
  `void`
  `printStackTrace(PrintWriter s)`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DfRuntimeException

    public DfRuntimeException()

  - ### DfRuntimeException

    public DfRuntimeException(Throwable cause)

  - ### DfRuntimeException

    public DfRuntimeException(String message)

  - ### DfRuntimeException

    public DfRuntimeException(String message, Throwable cause)

  - ### DfRuntimeException

    public DfRuntimeException(String message, Object[] arguments)

  - ### DfRuntimeException

    public DfRuntimeException(String message, Object[] arguments, Throwable cause)

- ## Method Details

  - ### convertToRuntimeException

    public static RuntimeException convertToRuntimeException(Exception e)

  - ### newUnexpectedException

    public static DfRuntimeException newUnexpectedException(Exception cause)

  - ### newNotInitializedException

    public static DfRuntimeException newNotInitializedException()

  - ### newFailedBofTransformationException

    public static DfRuntimeException newFailedBofTransformationException(String name, Exception cause)

  - ### newDefineClassFailedException

    public static DfRuntimeException newDefineClassFailedException(String name, URL url, Exception cause)

  - ### newPrivilegeIllegalForSBOException

    public static DfRuntimeException newPrivilegeIllegalForSBOException(String sboName)

  - ### newInvalidPrivilegeMetadataException

    public static DfRuntimeException newInvalidPrivilegeMetadataException(String moduleName)

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`

  - ### getMessageId

    public String getMessageId()

  - ### getArguments

    public Object[] getArguments()

  - ### printStackTrace

    public void printStackTrace(PrintStream s)
    Overrides:
      `printStackTrace` in class `Throwable`

  - ### printStackTrace

    public void printStackTrace(PrintWriter s)
    Overrides:
      `printStackTrace` in class `Throwable`